Next: clock, Up: Timefns [Contents][Index]

### 8.1 `asctime`—format time as string

Synopsis

    #include <time.h>
    char *asctime(const struct tm *clock);
    char *_asctime_r(const struct tm *clock, char *buf);

Description
Format the time value at clock into a string of the form

     Wed Jun 15 11:38:07 1988\n\0

The string is generated in a static buffer; each call to `asctime` overwrites the string generated by previous calls.

Returns
A pointer to the string containing a formatted timestamp.

Portability
ANSI C requires `asctime`.

`asctime` requires no supporting OS subroutines.